> ## Documentation Index
> Fetch the complete documentation index at: https://developer.trychart.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Unsigned Form 8821

> Download an unsigned IRS Form 8821.



## OpenAPI

````yaml POST /providers/irs/f8821/unsigned
openapi: 3.0.1
info:
  title: Chart API
  description: >-
    Chart Tax API offers real-time collection of verified federal and state tax
    records.
  version: 1.0.0
servers:
  - url: https://api.trychart.com
security:
  - bearerAuth: []
paths:
  /providers/irs/f8821/unsigned:
    post:
      description: Download an unsigned IRS Form 8821.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UnsignedIRS8821FormState'
      responses:
        '200':
          description: Unsigned IRS Form 8821 Response
          headers:
            Content-Disposition:
              schema:
                type: string
            Content-Length:
              schema:
                type: integer
            Cache-Control:
              schema:
                type: string
          content:
            application/pdf:
              schema:
                type: string
                format: binary
        '500':
          description: Failed to generate PDF
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
      security:
        - clientAuth: []
components:
  schemas:
    UnsignedIRS8821FormState:
      type: object
      properties:
        personalInfo:
          $ref: '#/components/schemas/PersonalInfoInput'
        businessInfo:
          $ref: '#/components/schemas/BusinessInfoInput'
        address:
          $ref: '#/components/schemas/AddressInput'
        form56:
          $ref: '#/components/schemas/IRS56FormState'
          description: >-
            IRS Form 56 (https://www.irs.gov/pub/irs-pdf/f56.pdf). Only required
            if the signer of the form 8821 is the fiduciary and not the
            taxpayer.
        extraDesignees:
          type: array
          items:
            $ref: '#/components/schemas/CAFDesignee'
      required:
        - personalInfo
        - address
    PersonalInfoInput:
      type: object
      properties:
        firstName:
          type: string
          minLength: 1
          maxLength: 50
          pattern: ^[a-zA-Z][a-zA-Z\s-]*$
          example: John
          description: >-
            Alpha string value with a limit of 50 characters. Only hyphens (-)
            and spaces are allowed as special characters.
        lastName:
          type: string
          minLength: 1
          maxLength: 50
          pattern: ^[a-zA-Z][a-zA-Z\s-]*$
          example: Doe
          description: >-
            Alpha string value with a limit of 50 characters. Only hyphens (-)
            and spaces are allowed as special characters.
        ssn:
          type: string
          minLength: 9
          maxLength: 9
          example: '123456789'
          description: >-
            Full SSN of the taxpayer. Required for non-business form 8821
            submissions.
      required:
        - firstName
        - lastName
    BusinessInfoInput:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          example: Test, Inc.
        taxId:
          type: string
          description: EIN or SSN of the taxpayer
          minLength: 9
          maxLength: 9
          example: '123456789'
        type:
          type: string
          enum:
            - S-Corporation
            - C-Corporation
            - Sole Proprietorship
            - Partnerships
        phone:
          type: string
          pattern: ^[0-9]{10}$
          example: '1112223344'
        title:
          type: string
          enum:
            - Managing Member
            - Partner
            - Limited Partner
            - Director
            - Chief Accounting Officer
            - Chief Executive Officer
            - Chief Operating Officer
            - Chief Financial Officer
            - President
            - Vice President
            - Secretary
            - Treasurer
            - Assistant Treasurer
            - Controller
            - Owner
            - Sole Proprietor
            - Executor
            - Beneficiary
            - Trustee
            - Administrator
          example: Chief Executive Officer
      required:
        - name
        - taxId
        - type
        - phone
        - title
    AddressInput:
      type: object
      properties:
        street:
          type: string
          minLength: 1
          example: 123 Main St
        other:
          type: string
          example: Apt 1
        city:
          type: string
          minLength: 1
          example: San Francisco
        state:
          type: string
          minLength: 1
          example: CA
        zip:
          type: string
          minLength: 1
          example: '94101'
      required:
        - street
        - city
        - state
        - zip
    IRS56FormState:
      type: object
      properties:
        identification:
          type: object
          properties:
            taxpayer:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  description: >-
                    Name of person for whom you are acting (as shown on the tax
                    return)
                address:
                  type: object
                  properties:
                    street:
                      type: string
                      minLength: 1
                      description: >-
                        Address of person for whom you are acting (number,
                        street)
                    other:
                      type: string
                    city:
                      type: string
                      minLength: 1
                      description: City or town, state, and ZIP code
                    state:
                      type: string
                      minLength: 1
                    zip:
                      type: string
                      minLength: 1
                identificationNumber:
                  type: string
                  pattern: ^\d{9}$
                  description: >-
                    Identification number must be exactly 9 digits and numeric
                    only
                decedentSSN:
                  type: string
                  pattern: ^\d{9}$
                  description: SSN must be exactly 9 digits and numeric only
              required:
                - name
                - address
            fiduciary:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  description: Fiduciary's name
                address:
                  type: object
                  properties:
                    street:
                      type: string
                      minLength: 1
                      description: Fiduciary's address (number, street, and room)
                    other:
                      type: string
                    city:
                      type: string
                      minLength: 1
                      description: Fiduciary's city
                    state:
                      type: string
                      minLength: 1
                      description: Fiduciary's state
                    zip:
                      type: string
                      minLength: 1
                      description: Fiduciary's ZIP code
              required:
                - name
                - address
          required:
            - taxpayer
            - fiduciary
        authority:
          type: object
          properties:
            '1':
              type: string
              enum:
                - a
                - b
                - c
                - d
                - e
                - f
                - g
            1gDesc:
              type: string
            2a:
              type: string
            2b:
              type: string
        tax:
          type: object
          properties:
            '5':
              type: string
            types:
              type: array
              items:
                type: string
                enum:
                  - Income
                  - Gift
                  - Estate
                  - Generation-skipping Transfer
                  - Employment
                  - Excise
                  - Other
            typeDesc:
              type: string
            forms:
              type: array
              items:
                type: string
                enum:
                  - a
                  - b
                  - c
                  - d
                  - e
                  - f
                  - g
                  - h
            formDesc:
              type: string
        proceedings:
          type: object
          properties:
            name:
              type: string
              minLength: 1
              description: >-
                Name of court (if other than a court proceeding, identify the
                type of proceeding and name of agency)
            address:
              type: object
              properties:
                street:
                  type: string
                  minLength: 1
                  description: Address of court
                other:
                  type: string
                city:
                  type: string
                  minLength: 1
                  description: City or town, state, and ZIP code
                state:
                  type: string
                  minLength: 1
                zip:
                  type: string
                  minLength: 1
            date:
              type: string
              minLength: 1
              description: Date of proceeding
            time:
              type: object
              properties:
                text:
                  type: string
                  minLength: 1
                  description: Time of proceeding
                amOrPm:
                  type: string
                  enum:
                    - AM
                    - PM
            initiationDate:
              type: string
              minLength: 1
              description: Date proceeding initiated
            docketNumber:
              type: string
              minLength: 1
              description: Docket number
            placeOfOtherProceedings:
              type: string
        title:
          type: string
    CAFDesignee:
      type: object
      properties:
        name:
          type: string
          minLength: 1
        address:
          $ref: '#/components/schemas/AddressInput'
        cafNumber:
          type: string
          minLength: 1
        monitorIRSNotices:
          type: boolean
      required:
        - name
        - address
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your access_token returned from the /auth/token endpoint.
    clientAuth:
      type: http
      scheme: bearer
      description: >-
        Please use base64 encoded client_id:client_secret. You can use this
        command to generate the base64 encoded string: echo -n
        'client_id:client_secret' | base64

````